Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.ext
Interface WindowActionResponse

All Superinterfaces:
  javax.portlet.ActionResponse, javax.portlet.PortletResponse

public interface WindowActionResponse
extends javax.portlet.ActionResponse

This interface extends `javax.portlet.ActionResponse` to provide additional convenience methods.

Portlets deployed on WebLogic Portlet Container can cast `javax.portlet.ActionResponse` objects to this type to access these additional methods.

See Also:
  `ActionResponse`

Method Summary
`void` | `addCookie(Cookie cookie)` Adds a specified cookie to the response.
`void` | `addDateHeader(String name, long date)` Adds a response header with the given name and date value.
`void` | `addHeader(String name, String value)` Adds a response header with the given name and value.
`void` | `addIntHeader(String name, int value)` Adds a response header with the given name and integer value.
`boolean` | `containsHeader(String name)` Returns a boolean indicating whether the named response header has already been set.
`void` | `setDateHeader(String name, long date)` Sets a response header with the given name and date value.
`void` | `setHeader(String name, String value)` Sets a response header with the given name and value.
`void` | `setIntHeader(String name, int value)` Sets a response header with the given name and integer value.

Methods inherited from interface javax.portlet.ActionResponse
`sendRedirect, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Method Detail

### addCookie

    public void addCookie(Cookie cookie)

  Adds a specified cookie to the response.

  Parameters:
    `cookie` - cookie
  See Also:
    `HttpServletResponse.addCookie(Cookie)`

### addDateHeader

    public void addDateHeader(String name,
                              long date)

  Adds a response header with the given name and date value.

  Parameters:
    `name` - name
    `date` - date
  See Also:
    `HttpServletResponse.addDateHeader(String,long)`

### addHeader

    public void addHeader(String name,
                          String value)

  Adds a response header with the given name and value.

  Parameters:
    `name` - name
    `value` - value
  See Also:
    `HttpServletResponse.addHeader(String,String)`

### addIntHeader

    public void addIntHeader(String name,
                             int value)

  Adds a response header with the given name and integer value.

  Parameters:
    `name` - name
    `value` - value
  See Also:
    `HttpServletResponse.addIntHeader(String,int)`

### containsHeader

    public boolean containsHeader(String name)

  Returns a boolean indicating whether the named response header has already been set.

  A Cookie header that has been added to the WindowActionResponse should be searched for by using the name of the Cookie, not "Set-Cookie" (the name of a Cookie header) because the Cookie header is not converted into a String value for a "Set-Cookie" header until it is propagated to the inner response.

  Parameters:
    `name` - name
  Returns:
    boolean

### setDateHeader

    public void setDateHeader(String name,
                              long date)

  Sets a response header with the given name and date value.

  Parameters:
    `name` - name
    `date` - date
  See Also:
    `HttpServletResponse.setDateHeader(String,long)`

### setHeader

    public void setHeader(String name,
                          String value)

  Sets a response header with the given name and value.

  Parameters:
    `name` - name
    `value` - value
  See Also:
    `HttpServletResponse.setHeader(String,String)`

### setIntHeader

    public void setIntHeader(String name,
                             int value)

  Sets a response header with the given name and integer value.

  Parameters:
    `name` - name
    `value` - value
  See Also:
    `HttpServletResponse.setIntHeader(String,int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved